package com.ywt.mg.domain.ywtDrugEntities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * VIEW
 */
@Entity
@Table(name = "prescription_drug_view")
public class PrescriptionDrugView implements Serializable {
  private static final long serialVersionUID = 1L;

  @Id
  @Column(name = "id", nullable = false)
  private Integer id;

  @Column(name = "pre_biz_no")
  private String preBizNo;

  @Column(name = "pre_id")
  private Integer preId;

  @Column(name = "drug_code")
  private String drugCode;

  @Column(name = "drug_name")
  private String drugName;

  @Column(name = "drug_spec")
  private String drugSpec;

  @Column(name = "one_dosage")
  private Float oneDosage;

  @Column(name = "one_dosage_unit")
  private String oneDosageUnit;

  @Column(name = "amount")
  private Integer amount;

  @Column(name = "units")
  private String units;

  @Column(name = "frequency_code")
  private String frequencyCode;

  @Column(name = "frequency")
  private String frequency;

  @Column(name = "frequency_qty")
  private Integer frequencyQty;

  @Column(name = "usage_code")
  private String usageCode;

  @Column(name = "usage_detail")
  private String usageDetail;

  @Column(name = "price")
  private Integer price;

  /**
   * 总价
   */
  @Column(name = "total")
  private Integer total;

  /**
   * 备注
   */
  @Column(name = "remark")
  private String remark;

  /**
   * 疗程，单位：天
   */
  @Column(name = "course")
  private Integer course;

  /**
   * 药品Id
   */
  @Column(name = "drug_id")
  private Integer drugId;

  /**
   * 药品数量
   */
  @Column(name = "quantity")
  private Integer quantity;

  @Column(name = "doctor_name")
  private String doctorName;

  @Column(name = "doctor_code")
  private String doctorCode;

  @Column(name = "patient_name")
  private String patientName;

  @Column(name = "patient_age")
  private String patientAge;

  @Column(name = "patient_sex")
  private String patientSex;

  @Column(name = "patient_no")
  private String patientNo;

  @Column(name = "diagnose")
  private String diagnose;

  @Column(name = "dept")
  private String dept;

  @Column(name = "create_on")
  private Date createOn;

  @Column(name = "source")
  private Integer source;

  @Column(name = "status")
  private Integer status;

  @Column(name = "hospital_code")
  private String hospitalCode;

  @Column(name = "hospital_id")
  private Integer hospitalId;

  /**
   * 第三方公司编码
   */
  @Column(name = "org_code_3th")
  private String orgCode3th;

  @Column(name = "total_price")
  private Integer totalPrice;

  @Column(name = "payment_status")
  private Integer paymentStatus;

  @Column(name = "user_id")
  private Integer userId;

  @Column(name = "user_type")
  private Integer userType;

  @Column(name = "user_key_id")
  private String userKeyId;

  /**
   * 患者手机号
   */
  @Column(name = "patient_mobile")
  private String patientMobile;

  /**
   * 过敏史
   */
  @Column(name = "allergic_history")
  private String allergicHistory;

  /**
   * 病情描述
   */
  @Column(name = "description")
  private String description;

  /**
   * 医生签名Id
   */
  @Column(name = "doctor_sign_id")
  private Integer doctorSignId;

  /**
   * 医生id
   */
  @Column(name = "doctor_id")
  private Integer doctorId;

  /**
   * 药房地址ID，对应pharmacy表
   */
  @Column(name = "pharmacy_id")
  private Integer pharmacyId = 0;

  /**
   * 开始时间
   */
  @Column(name = "start_send_time")
  private Date startSendTime;

  /**
   * 患者支付时间
   */
  @Column(name = "pay_time")
  private Date payTime;

  /**
   * 退费时间
   */
  @Column(name = "refund_time")
  private Date refundTime;

  /**
   * 退款状态
   */
  @Column(name = "refund_status")
  private Integer refundStatus;

  /**
   * 退款流水号
   */
  @Column(name = "refund_no")
  private String refundNo;

  /**
   * 取药方式
   */
  @Column(name = "delivery_method")
  private Integer deliveryMethod;

  /**
   * 身份证号
   */
  @Column(name = "id_card_no")
  private String idCardNo;

  /**
   * 发药师昵称
   */
  @Column(name = "sender_nickname")
  private String senderNickname = "";

  /**
   * 患者报到时间
   */
  @Column(name = "check_in_time")
  private Date checkInTime;

  /**
   * 拓展状态，位运算，1-是否报到，2-是否发药，4-是否打印发票
   */
  @Column(name = "ext_status")
  private Integer extStatus = 0;

  /**
   * 配送号
   */
  @Column(name = "send_no")
  private String sendNo;

  /**
   * 订单号
   */
  @Column(name = "order_no")
  private String orderNo;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public String getPreBizNo() {
    return preBizNo;
  }

  public void setPreBizNo(String preBizNo) {
    this.preBizNo = preBizNo;
  }

  public Integer getPreId() {
    return preId;
  }

  public void setPreId(Integer preId) {
    this.preId = preId;
  }

  public String getDrugCode() {
    return drugCode;
  }

  public void setDrugCode(String drugCode) {
    this.drugCode = drugCode;
  }

  public String getDrugName() {
    return drugName;
  }

  public void setDrugName(String drugName) {
    this.drugName = drugName;
  }

  public String getDrugSpec() {
    return drugSpec;
  }

  public void setDrugSpec(String drugSpec) {
    this.drugSpec = drugSpec;
  }

  public Float getOneDosage() {
    return oneDosage;
  }

  public void setOneDosage(Float oneDosage) {
    this.oneDosage = oneDosage;
  }

  public String getOneDosageUnit() {
    return oneDosageUnit;
  }

  public void setOneDosageUnit(String oneDosageUnit) {
    this.oneDosageUnit = oneDosageUnit;
  }

  public Integer getAmount() {
    return amount;
  }

  public void setAmount(Integer amount) {
    this.amount = amount;
  }

  public String getUnits() {
    return units;
  }

  public void setUnits(String units) {
    this.units = units;
  }

  public String getFrequencyCode() {
    return frequencyCode;
  }

  public void setFrequencyCode(String frequencyCode) {
    this.frequencyCode = frequencyCode;
  }

  public String getFrequency() {
    return frequency;
  }

  public void setFrequency(String frequency) {
    this.frequency = frequency;
  }

  public Integer getFrequencyQty() {
    return frequencyQty;
  }

  public void setFrequencyQty(Integer frequencyQty) {
    this.frequencyQty = frequencyQty;
  }

  public String getUsageCode() {
    return usageCode;
  }

  public void setUsageCode(String usageCode) {
    this.usageCode = usageCode;
  }

  public String getUsageDetail() {
    return usageDetail;
  }

  public void setUsageDetail(String usageDetail) {
    this.usageDetail = usageDetail;
  }

  public Integer getPrice() {
    return price;
  }

  public void setPrice(Integer price) {
    this.price = price;
  }

  /**
   * 总价
   */
  public Integer getTotal() {
    return total;
  }

  /**
   * 总价
   */
  public void setTotal(Integer total) {
    this.total = total;
  }

  /**
   * 备注
   */
  public String getRemark() {
    return remark;
  }

  /**
   * 备注
   */
  public void setRemark(String remark) {
    this.remark = remark;
  }

  /**
   * 疗程，单位：天
   */
  public Integer getCourse() {
    return course;
  }

  /**
   * 疗程，单位：天
   */
  public void setCourse(Integer course) {
    this.course = course;
  }

  /**
   * 药品Id
   */
  public Integer getDrugId() {
    return drugId;
  }

  /**
   * 药品Id
   */
  public void setDrugId(Integer drugId) {
    this.drugId = drugId;
  }

  /**
   * 药品数量
   */
  public Integer getQuantity() {
    return quantity;
  }

  /**
   * 药品数量
   */
  public void setQuantity(Integer quantity) {
    this.quantity = quantity;
  }

  public String getDoctorName() {
    return doctorName;
  }

  public void setDoctorName(String doctorName) {
    this.doctorName = doctorName;
  }

  public String getDoctorCode() {
    return doctorCode;
  }

  public void setDoctorCode(String doctorCode) {
    this.doctorCode = doctorCode;
  }

  public String getPatientName() {
    return patientName;
  }

  public void setPatientName(String patientName) {
    this.patientName = patientName;
  }

  public String getPatientAge() {
    return patientAge;
  }

  public void setPatientAge(String patientAge) {
    this.patientAge = patientAge;
  }

  public String getPatientSex() {
    return patientSex;
  }

  public void setPatientSex(String patientSex) {
    this.patientSex = patientSex;
  }

  public String getPatientNo() {
    return patientNo;
  }

  public void setPatientNo(String patientNo) {
    this.patientNo = patientNo;
  }

  public String getDiagnose() {
    return diagnose;
  }

  public void setDiagnose(String diagnose) {
    this.diagnose = diagnose;
  }

  public String getDept() {
    return dept;
  }

  public void setDept(String dept) {
    this.dept = dept;
  }

  public Date getCreateOn() {
    return createOn;
  }

  public void setCreateOn(Date createOn) {
    this.createOn = createOn;
  }

  public Integer getSource() {
    return source;
  }

  public void setSource(Integer source) {
    this.source = source;
  }

  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public String getHospitalCode() {
    return hospitalCode;
  }

  public void setHospitalCode(String hospitalCode) {
    this.hospitalCode = hospitalCode;
  }

  public Integer getHospitalId() {
    return hospitalId;
  }

  public void setHospitalId(Integer hospitalId) {
    this.hospitalId = hospitalId;
  }

  /**
   * 第三方公司编码
   */
  public String getOrgCode3th() {
    return orgCode3th;
  }

  /**
   * 第三方公司编码
   */
  public void setOrgCode3th(String orgCode3th) {
    this.orgCode3th = orgCode3th;
  }

  public Integer getTotalPrice() {
    return totalPrice;
  }

  public void setTotalPrice(Integer totalPrice) {
    this.totalPrice = totalPrice;
  }

  public Integer getPaymentStatus() {
    return paymentStatus;
  }

  public void setPaymentStatus(Integer paymentStatus) {
    this.paymentStatus = paymentStatus;
  }

  public Integer getUserId() {
    return userId;
  }

  public void setUserId(Integer userId) {
    this.userId = userId;
  }

  public Integer getUserType() {
    return userType;
  }

  public void setUserType(Integer userType) {
    this.userType = userType;
  }

  public String getUserKeyId() {
    return userKeyId;
  }

  public void setUserKeyId(String userKeyId) {
    this.userKeyId = userKeyId;
  }

  /**
   * 患者手机号
   */
  public String getPatientMobile() {
    return patientMobile;
  }

  /**
   * 患者手机号
   */
  public void setPatientMobile(String patientMobile) {
    this.patientMobile = patientMobile;
  }

  /**
   * 过敏史
   */
  public String getAllergicHistory() {
    return allergicHistory;
  }

  /**
   * 过敏史
   */
  public void setAllergicHistory(String allergicHistory) {
    this.allergicHistory = allergicHistory;
  }

  /**
   * 病情描述
   */
  public String getDescription() {
    return description;
  }

  /**
   * 病情描述
   */
  public void setDescription(String description) {
    this.description = description;
  }

  /**
   * 医生签名Id
   */
  public Integer getDoctorSignId() {
    return doctorSignId;
  }

  /**
   * 医生签名Id
   */
  public void setDoctorSignId(Integer doctorSignId) {
    this.doctorSignId = doctorSignId;
  }

  /**
   * 医生id
   */
  public Integer getDoctorId() {
    return doctorId;
  }

  /**
   * 医生id
   */
  public void setDoctorId(Integer doctorId) {
    this.doctorId = doctorId;
  }

  /**
   * 药房地址ID，对应pharmacy表
   */
  public Integer getPharmacyId() {
    return pharmacyId;
  }

  /**
   * 药房地址ID，对应pharmacy表
   */
  public void setPharmacyId(Integer pharmacyId) {
    this.pharmacyId = pharmacyId;
  }

  /**
   * 开始时间
   */
  public Date getStartSendTime() {
    return startSendTime;
  }

  /**
   * 开始时间
   */
  public void setStartSendTime(Date startSendTime) {
    this.startSendTime = startSendTime;
  }

  /**
   * 患者支付时间
   */
  public Date getPayTime() {
    return payTime;
  }

  /**
   * 患者支付时间
   */
  public void setPayTime(Date payTime) {
    this.payTime = payTime;
  }

  /**
   * 退费时间
   */
  public Date getRefundTime() {
    return refundTime;
  }

  /**
   * 退费时间
   */
  public void setRefundTime(Date refundTime) {
    this.refundTime = refundTime;
  }

  /**
   * 退款状态
   */
  public Integer getRefundStatus() {
    return refundStatus;
  }

  /**
   * 退款状态
   */
  public void setRefundStatus(Integer refundStatus) {
    this.refundStatus = refundStatus;
  }

  /**
   * 退款流水号
   */
  public String getRefundNo() {
    return refundNo;
  }

  /**
   * 退款流水号
   */
  public void setRefundNo(String refundNo) {
    this.refundNo = refundNo;
  }

  /**
   * 取药方式
   */
  public Integer getDeliveryMethod() {
    return deliveryMethod;
  }

  /**
   * 取药方式
   */
  public void setDeliveryMethod(Integer deliveryMethod) {
    this.deliveryMethod = deliveryMethod;
  }

  /**
   * 身份证号
   */
  public String getIdCardNo() {
    return idCardNo;
  }

  /**
   * 身份证号
   */
  public void setIdCardNo(String idCardNo) {
    this.idCardNo = idCardNo;
  }

  /**
   * 发药师昵称
   */
  public String getSenderNickname() {
    return senderNickname;
  }

  /**
   * 发药师昵称
   */
  public void setSenderNickname(String senderNickname) {
    this.senderNickname = senderNickname;
  }

  /**
   * 患者报到时间
   */
  public Date getCheckInTime() {
    return checkInTime;
  }

  /**
   * 患者报到时间
   */
  public void setCheckInTime(Date checkInTime) {
    this.checkInTime = checkInTime;
  }

  /**
   * 拓展状态，位运算，1-是否报到，2-是否发药，4-是否打印发票
   */
  public Integer getExtStatus() {
    return extStatus;
  }

  /**
   * 拓展状态，位运算，1-是否报到，2-是否发药，4-是否打印发票
   */
  public void setExtStatus(Integer extStatus) {
    this.extStatus = extStatus;
  }

  /**
   * 配送号
   */
  public String getSendNo() {
    return sendNo;
  }

  /**
   * 配送号
   */
  public void setSendNo(String sendNo) {
    this.sendNo = sendNo;
  }

  public String getOrderNo() {
    return orderNo;
  }

  public void setOrderNo(String orderNo) {
    this.orderNo = orderNo;
  }

  public String toString() {
    return "PrescriptionDrugView{id=" + id + 
      ", preBizNo=" + preBizNo + 
      ", preId=" + preId + 
      ", drugCode=" + drugCode + 
      ", drugName=" + drugName + 
      ", drugSpec=" + drugSpec + 
      ", oneDosage=" + oneDosage + 
      ", oneDosageUnit=" + oneDosageUnit + 
      ", amount=" + amount + 
      ", units=" + units + 
      ", frequencyCode=" + frequencyCode + 
      ", frequency=" + frequency + 
      ", frequencyQty=" + frequencyQty + 
      ", usageCode=" + usageCode + 
      ", usageDetail=" + usageDetail + 
      ", price=" + price + 
      ", total=" + total + 
      ", remark=" + remark + 
      ", course=" + course + 
      ", drugId=" + drugId + 
      ", quantity=" + quantity + 
      ", doctorName=" + doctorName + 
      ", doctorCode=" + doctorCode + 
      ", patientName=" + patientName + 
      ", patientAge=" + patientAge + 
      ", patientSex=" + patientSex + 
      ", patientNo=" + patientNo + 
      ", diagnose=" + diagnose + 
      ", dept=" + dept + 
      ", createOn=" + createOn + 
      ", source=" + source + 
      ", status=" + status + 
      ", hospitalCode=" + hospitalCode + 
      ", hospitalId=" + hospitalId + 
      ", orgCode3th=" + orgCode3th + 
      ", totalPrice=" + totalPrice + 
      ", paymentStatus=" + paymentStatus + 
      ", userId=" + userId + 
      ", userType=" + userType + 
      ", userKeyId=" + userKeyId + 
      ", patientMobile=" + patientMobile + 
      ", allergicHistory=" + allergicHistory + 
      ", description=" + description + 
      ", doctorSignId=" + doctorSignId + 
      ", doctorId=" + doctorId + 
      ", pharmacyId=" + pharmacyId + 
      ", startSendTime=" + startSendTime + 
      ", payTime=" + payTime + 
      ", refundTime=" + refundTime + 
      ", refundStatus=" + refundStatus + 
      ", refundNo=" + refundNo + 
      ", deliveryMethod=" + deliveryMethod + 
      ", idCardNo=" + idCardNo + 
      ", senderNickname=" + senderNickname + 
      ", checkInTime=" + checkInTime + 
      ", extStatus=" + extStatus + 
      ", sendNo=" + sendNo + 
      ", orderNo=" + orderNo +
      "}";
  }
}